get
https://api.gomotive.com/v1/video_recall_requests/vehicles/available_timelines
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Purpose: Returns the available video timeline segments for a specific vehicle so you can verify video availability before creating a video recall request.
Response Paramters
vehicle
- Type: Object
- Description: Contains the details of the vehicle for which available video timelines are returned.
vehicle.id
- Type: Integer
- Description: The unique identifier of the vehicle.
vehicle.number
- Type: String
- Description: The vehicle number associated with the available timelines.
primary_entity
- Type: String
- Description: Indicates the primary entity associated with the response. For this endpoint, the value is
vehicle.
eld_device
- Type: Object
- Description: Contains the details of the ELD device associated with the vehicle.
eld_device.id
- Type: Integer
- Description: The unique identifier of the ELD device.
eld_device.identifier
- Type: String
- Description: The identifier of the ELD device.
available_timelines
- Type: Array of Objects
- Description: Contains the list of time ranges for which video is available for the vehicle.
available_timelines[].end_time
- Type: String
- Description: The end time of an available video timeline, in ISO 8601 format.
available_timelines[].start_time
- Type: String
- Description: The start time of an available video timeline, in ISO 8601 format.
quota_info
- Type: Object
- Description: Contains the video recall quota details for the company.
quota_info.regular
- Type: Object
- Description: Contains the quota usage details for regular video recall requests.
quota_info.regular.used_minutes
- Type: Integer
- Description: The number of regular video recall minutes used by the company in the current quota period.
quota_info.regular.remaining_minutes
- Type: Integer
- Description: The number of regular video recall minutes remaining for the company in the current quota period.
quota_info.regular.total_minutes
- Type: Integer
- Description: The total number of regular video recall minutes allocated to the company for the current quota period.
quota_info.timelapse
- Type: Object
- Description: Contains the quota usage details for timelapse video recall requests.
quota_info.timelapse.used_minutes
- Type: Integer
- Description: The number of timelapse video recall minutes used by the company in the current quota period.
quota_info.timelapse.remaining_minutes
- Type: Integer
- Description: The number of timelapse video recall minutes remaining for the company in the current quota period.
quota_info.timelapse.total_minutes
- Type: Integer
- Description: The total number of timelapse video recall minutes allocated to the company for the current quota period.
